<?php
/*******************************************************************************
PkLasku : web-based invoicing software.
Copyright (C) 2004-2006 Samu Reinikainen

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details. (gpl.txt included)

You should have received a copy of the GNU General Public License
along with this program; if not, write to the 
Free Software Foundation, Inc., 
59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Contact us :
Samu Reinikainen
Kultalakintie 2 A 1
FIN-40640 JYVSKYL
phone: +358 46 810 4040
email: samu.reinikainen@gmail.com
*******************************************************************************/

/*******************************************************************************
PkLasku : web-pohjainen laskutusohjelmisto.
Copyright (C) 2004-2006 Samu Reinikainen

T&auml;m&auml; ohjelma on vapaa; t&auml;t&auml; ohjelmaa on sallittu levitt&auml;&auml; edelleen ja muuttaa GNU yleisen lisenssin (GPL lisenssin) ehtojen mukaan sellaisina kuin Free Software Foundation on ne julkaissut; joko Lisenssin version 2, tai (valinnan mukaan) mink&auml; tahansa my&ouml;hemm&auml;n version mukaisesti.

T&auml;t&auml; ohjelmaa levitet&auml;&auml;n siin&auml; toivossa, ett&auml; se olisi hy&ouml;dyllinen, mutta ilman mit&auml;&auml;n takuuta; ilman edes hiljaista takuuta kaupallisesti hyv&auml;ksytt&auml;v&auml;st&auml; laadusta tai soveltuvuudesta tiettyyn tarkoitukseen. Katso GPL lisenssist&auml; lis&auml;&auml; yksityiskohtia. (ohjelman mukana tullut gpl.txt)

T&auml;m&auml;n ohjelman mukana pit&auml;isi tulla kopio GPL lisenssist&auml;; jos n&auml;in ei ole, kirjoita osoitteeseen: 
Free Software Foundation Inc., 
59 Temple Place Suite 330, Boston, MA 02111-1307, USA.

Yhteystiedot :
Samu Reinikainen
Kultalakintie 2 A 1
FIN-40640 JYVSKYL
phone: +358 46 810 4040
email: samu.reinikainen@gmail.com
*******************************************************************************/

require "htmlfuncs.php";
require "sqlfuncs.php";
require "sessionfuncs.php";
require "miscfuncs.php";
require "datefuncs.php";

$strSesID = $_REQUEST['ses'] ? $_REQUEST['ses'] : FALSE;

if( !sesCheckSession( $strSesID ) ) {
    die;
}
require "localize.php";

setlocale(LC_TIME, "fi_FI");

$strField = $_REQUEST['timefield'] ? $_REQUEST['timefield'] : $_POST['timefield'];

$intCurrentHour = date("H");
$intCurrentMinute = date("i");
//todo : do quarterhour system...

if( $intCurrentMinute < 15 ) {
    $intCurrentMinute = 15;
}
elseif( $intCurrentMinute < 30 ) {
    $intCurrentMinute = 30;
}
elseif( $intCurrentMinute < 45 ) {
    $intCurrentMinute = 45;
}
else {
    $intCurrentMinute = 00;
}

for( $i = 0; $i < 24; $i++) {
    $strHour = $i + 1;
    if( strlen($strHour) == 1 ) {
       $strHour = "0". $strHour;
    }
    
    $astrHourListValues[$i] = $strHour;
    $astrHourListOptions[$i] = $strHour;
}
$strHourListBox = htmlListBox( "hh", $astrHourListValues, $astrHourListOptions, $intCurrentHour, "normal", FALSE, FALSE );

$astrMinuteListValues = array('00','15','30','45');
$astrMinuteListOptions = array('00','15','30','45');

$strMinuteListBox = htmlListBox( "mm", $astrMinuteListValues, $astrMinuteListOptions, $intCurrentMinute, "normal", FALSE, FALSE );

echo htmlPageStart( _PAGE_TITLE_ );
?>
<script type="text/javascript">
<!--
function SetTime() {
    //alert(opener.document.forms[0].<?=$strField?>.value);
    strtime = this.document.clock_form.hh.options[this.document.clock_form.hh.selectedIndex].value + ':' + this.document.clock_form.mm.options[this.document.clock_form.mm.selectedIndex].value
    
    opener.document.forms[0].<?=$strField?>.value = strtime;
    self.close();
    return false;
}
-->
</script>
<body class="form" onload="<?=$strOnLoad?>">
<form method="post" action="calendar.php?ses=<?=$GLOBALS['sesID']?>" target="_self" name="clock_form">
<input type="hidden" name="datefield" value="<?=$strField?>">
<center>
<?=$strHourListBox?> : <?=$strMinuteListBox?>
<br><br>
<a class="actionlink" href="#" onclick="SetTime(); return false;"><?=$GLOBALS['locSETTIME']?></a>
<a class="actionlink" href="#" onclick="self.close(); return false;"><?=$GLOBALS['locCLOSE']?></a>
</center>
</form>
</body>
</html>
