<?php
/*******************************************************************************
PkLasku : web-based invoicing software.
Copyright (C) 2004-2006 Samu Reinikainen

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details. (gpl.txt included)

You should have received a copy of the GNU General Public License
along with this program; if not, write to the 
Free Software Foundation, Inc., 
59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Contact us :
Samu Reinikainen
Kultalakintie 2 A 1
FIN-40640 JYVSKYL
phone: +358 46 810 4040
email: samu.reinikainen@gmail.com
*******************************************************************************/

/*******************************************************************************
PkLasku : web-pohjainen laskutusohjelmisto.
Copyright (C) 2004-2006 Samu Reinikainen

T&auml;m&auml; ohjelma on vapaa; t&auml;t&auml; ohjelmaa on sallittu levitt&auml;&auml; edelleen ja muuttaa GNU yleisen lisenssin (GPL lisenssin) ehtojen mukaan sellaisina kuin Free Software Foundation on ne julkaissut; joko Lisenssin version 2, tai (valinnan mukaan) mink&auml; tahansa my&ouml;hemm&auml;n version mukaisesti.

T&auml;t&auml; ohjelmaa levitet&auml;&auml;n siin&auml; toivossa, ett&auml; se olisi hy&ouml;dyllinen, mutta ilman mit&auml;&auml;n takuuta; ilman edes hiljaista takuuta kaupallisesti hyv&auml;ksytt&auml;v&auml;st&auml; laadusta tai soveltuvuudesta tiettyyn tarkoitukseen. Katso GPL lisenssist&auml; lis&auml;&auml; yksityiskohtia. (ohjelman mukana tullut gpl.txt)

T&auml;m&auml;n ohjelman mukana pit&auml;isi tulla kopio GPL lisenssist&auml;; jos n&auml;in ei ole, kirjoita osoitteeseen: 
Free Software Foundation Inc., 
59 Temple Place Suite 330, Boston, MA 02111-1307, USA.

Yhteystiedot :
Samu Reinikainen
Kultalakintie 2 A 1
FIN-40640 JYVSKYL
phone: +358 46 810 4040
email: samu.reinikainen@gmail.com
*******************************************************************************/

require "htmlfuncs.php";
require "sqlfuncs.php";
require "sessionfuncs.php";
require "miscfuncs.php";
require "datefuncs.php";

$strSesID = $_REQUEST['ses'] ? $_REQUEST['ses'] : FALSE;
$intCategory_id = $_REQUEST['catid'] ? (int)$_REQUEST['catid'] : FALSE;

if( !sesCheckSession( $strSesID ) ) {
    die;
}
require "localize.php";
//print_r($_POST);
$strForm = $_POST['selectform'] ? $_POST['selectform'] : $_REQUEST['selectform'];


$blnSearch = (int)$_POST['search_x'] ? TRUE : FALSE;
$blnSave = (int)$_POST['save_x'] ? TRUE : FALSE;
$strFields = $_POST['fields'] ? $_POST['fields'] : FALSE;
$strSearchField = $_POST['searchfield'] ? $_POST['searchfield'] : FALSE;
$strSearchName = $_POST['searchname'] ? $_POST['searchname'] : "";
if( $strSearchField !== FALSE ) {
    if( $strFields === FALSE ) {
        $strFields = $strSearchField;
    }
    else {
        $strFields .= ",". $strSearchField;
    }
}

if($intCategory_id && $strFields === FALSE ) {
    $strFields = "type_id";
    $_POST[$strFields] = $intCategory_id;
}

if( $strFields !== FALSE ) {
    $astrSelectedFields = explode(",", $strFields);
}
else {
    $astrSelectedFields = array();
}

require "form_switch.php";

for( $j = 0; $j < count($astrSelectedFields); $j++ ) {
    $tmpDelete = $_POST["delete_".$astrSelectedFields[$j]. "_x"];
    if( $tmpDelete ) {
        $astrSelectedFields[$j] = '';
    }
}

$strFields = implode(",", $astrSelectedFields);

for( $j = 0; $j < count($astrFormElements); $j++ ) {
    if( $astrFormElements[$j]['type'] == 'RESULT' && $astrFormElements[$j]['name'] != '' ) {
        $astrFormElements[$j]['type'] = 'TEXT';
    }
}

$x = 0;
for( $j = 0; $j < count($astrFormElements); $j++ ) {
    $strSelectedOperator = $_POST['operator_'.$astrFormElements[$j]['name']] ? $_POST['operator_'.$astrFormElements[$j]['name']] : "OR";
    if($astrFormElements[$j]['type'] != "LABEL" && $astrFormElements[$j]['type'] != "HIDINT" && $astrFormElements[$j]['type'] != 'IFRAME' && $astrFormElements[$j]['type'] != 'IFORM' && $astrFormElements[$j]['type'] != 'BUTTON' && !in_array($astrFormElements[$j]['name'], $astrSelectedFields, true)) {
        $astrListValues[$x] = $astrFormElements[$j]['name'];
        $astrListOptions[$x] = str_replace("<br>", " ", $astrFormElements[$j]['label']); 
        $x++;
    }
    $strControlType = $astrFormElements[$j]['type'];
    $strControlName = $astrFormElements[$j]['name'];
    
    if( $strControlType == 'IFRAME' || $strControlType == 'IFORM' || $strControlType == 'BUTTON' ) {
       $astrValues[$strControlName] = $intKeyValue;
    }
    elseif( $strControlType != 'LABEL' ) {
        if( $strControlType == 'INTDATE' ) {
            $astrValues[$strControlName] = $_POST[$astrFormElements[$j]['name']];
        }
        else { 
            $astrValues[$strControlName] = $_POST[$astrFormElements[$j]['name']];
        }
    }
    /*$astrValues[$astrFormElements[$j]['name']] =             $_POST[$astrFormElements[$j]['name']] ||  $_POST[$astrFormElements[$j]['name']] === "0" ? $_POST[$astrFormElements[$j]['name']] : FALSE;*/
}
$strListBox = htmlListBox( "searchfield", $astrListValues, $astrListOptions, FALSE, "", 1 );

$astrListValues = array('=','!=','<','>');
$astrListOptions = array('on yht kuin','on eri kuin','on pienempi kuin','on suurempi kuin');

if( $blnSearch || $blnSave ) {
    for( $j = 0; $j < count($astrFormElements); $j++ ) {
        if(in_array($astrFormElements[$j]['name'], $astrSelectedFields, true)) {
            $strSearchMatch =
                $_POST['searchmatch_'.$astrFormElements[$j]['name']] ? $_POST['searchmatch_'.$astrFormElements[$j]['name']] : "=";
            $strSearchValue = $astrValues[$astrFormElements[$j]['name']];
            //do LIKE || NOT LIKE search to elements with text or varchar datatype
            //echo $astrFormElements[$j]['type'];
            if( $astrFormElements[$j]['type'] == 'TEXT' || $astrFormElements[$j]['type'] == 'AREA' ) {
                if( $strSearchMatch == "=" ) {
                    $strSearchMatch = "LIKE";
                }
                else {
                    $strSearchMatch = "NOT LIKE";
                }
                //add to the where clause
                $strWhereClause .= $astrFormElements[$j]['name']. " ". $strSearchMatch. " '%-". $strSearchValue. "%-' $strSelectedOperator ";
            }
            //do =, !=, < or > search to elements that are numeric
            elseif( $astrFormElements[$j]['type'] == 'INT' || $astrFormElements[$j]['type'] == 'LIST' ) {
                //add to the where clause
                $strWhereClause .= $astrFormElements[$j]['name']. " ". $strSearchMatch. " ". $strSearchValue. " $strSelectedOperator ";
            }
            //checkboxelements handled bit differently than other int's
            elseif( $astrFormElements[$j]['type'] == 'CHECK' ) {
                $tmpValue = $astrValues[$astrFormElements[$j]['name']] ? 1 : 0;
                //add to the where clause
                $strWhereClause .= $astrFormElements[$j]['name']. " ". $strSearchMatch. " ". $tmpValue. " $strSelectedOperator ";
            }
            //date-elements need own formatting too
            elseif( $astrFormElements[$j]['type'] == 'INTDATE' ) {
                $tmpValue = dateConvDate2IntDate($astrValues[$astrFormElements[$j]['name']]);
                //add to the where clause
                $strWhereClause .= $astrFormElements[$j]['name']. " ". $strSearchMatch. " ". $tmpValue. " $strSelectedOperator ";
            }
        }
    }
    
    $strWhereClause = substr( $strWhereClause, 0, -4);
    $strWhereClause = urlencode($strWhereClause);
    if( $blnSearch ) {
        $strLink = 
            "list.php?ses=". $GLOBALS['sesID']."&selectform=". 
            $strForm. "&where=". $strWhereClause;
        $strOnLoad = "opener.top.frset_bottom.f_list.location.href='".$strLink. "'";
        //$strOnLoad = "alert(opener.top.f_list.location.href);";
    }
    
    if( $blnSave && $strSearchName ) {
        $strQuery = 
            "INSERT INTO ". _DB_PREFIX_. "_quicksearch(".
            "user_id, name, form, whereclause)".
            "VALUES(". $GLOBALS['sesUSERID']. ",'".$strSearchName. "','".
            $strForm. "','". $strWhereClause. "')";
        $intRes = mysql_query($strQuery);
    }
    elseif( $blnSave && !$strSearchName) {
        $strOnLoad = "alert('".$GLOBALS['locERRORNOSEARCHNAME']."')";
    }
}
echo htmlPageStart( _PAGE_TITLE_ );
?>
<script type="text/javascript">
<!--
function openHelpWindow(event) {
    x = event.screenX;
    y = event.screenY;
    strLink = 'help.php?ses=<?=$GLOBALS['sesID']?>&topic=extsearch'; window.open(strLink, '_blank', 'height=400,width=400,screenX=' + x + ',screenY=' + y + ',left=' + x + ',top=' + y + ',menubar=no,scrollbars=yes,status=no,toolbar=no');
    
    return true;
}
function OpenCalendar(datefield, event) {
    x = event.screenX;
    y = event.screenY;
    strLink = 'calendar.php?ses=<?=$GLOBALS['sesID']?>&datefield=' + datefield;
    
    window.open(strLink, 'calendar', 'height=260,width=280,screenX=' + x + ',screenY=' + y + ',left=' + x + ',top=' + y + ',menubar=no,scrollbars=yes,status=no,toolbar=no');
    
    return true;
}
function OpenClock(timefield, event) {
    x = event.screenX;
    y = event.screenY;
    strLink = 'clock.php?ses=<?=$GLOBALS['sesID']?>&timefield=' + timefield;
    
    window.open(strLink, 'clock', 'height=150,width=200,screenX=' + x + ',screenY=' + y + ',left=' + x + ',top=' + y + ',menubar=no,scrollbars=yes,status=no,toolbar=no');
}

-->
</script>

<body class="form" onload="<?=$strOnLoad?>">
<form method="post" action="ext_search.php?ses=<?=$GLOBALS['sesID']?>&selectform=<?=$strForm?>" target="_self" name="search_form">
<input type="hidden" name="fields" value="<?=$strFields?>">
<table>
<tr>
    <td class="sublabel" colspan="4">
    <?=$GLOBALS['locLABELEXTSEARCH']?>
    </td>
</tr>
<tr>
    <td class="label">
    <?=$GLOBALS['locSELECTSEARCHFIELD']?>
    </td>
    <td class="field">
    <?=$strListBox?>
    </td>
    <td class="label">
    <?=$GLOBALS['locSEARCHNAME']?>
    </td>
    <td class="field">
    <input class="medium" type="text" name="searchname" value="<?=$strSearchName?>"> 
    </td>
</tr>
</table>
<table>
<tr>
    <td class="sublabel">
    <?=$GLOBALS['locSEARCHFIELD']?>
    </td>
    <td class="sublabel">
    <?=$GLOBALS['locSEARCHMATCH']?>
    </td>
    <td class="sublabel">
    <?=$GLOBALS['locSEARCHTERM']?>
    </td>
</tr>
<?php

for( $j = 0; $j < count($astrFormElements); $j++ ) {
    if(in_array($astrFormElements[$j]['name'], $astrSelectedFields, true)) {
        $strSearchMatch = $_POST['searchmatch_'.$astrFormElements[$j]['name']] ? $_POST['searchmatch_'.$astrFormElements[$j]['name']] : "=";
        if( $astrFormElements[$j]['style'] == "xxlong" ){
            $astrFormElements[$j]['style'] = "long";
        }
?>
<tr>
    <td class="label">
        <?=$astrFormElements[$j]['label']?>
    </td>
    <td class="field">
        <?=htmlListBox( "searchmatch_". $astrFormElements[$j]['name'], $astrListValues, $astrListOptions, $strSearchMatch, "", 0 )?>
    </td>
    <td class="field">
        <?=htmlFormElement($astrFormElements[$j]['name'], $astrFormElements[$j]['type'],                               gpcStripSlashes($astrValues[$astrFormElements[$j]['name']]),                               $astrFormElements[$j]['style'],$astrFormElements[$j]['listquery'], "MODIFY", $astrFormElements[$j]['parent_key'])?>
    </td>
    <td>
        <input type="hidden" name="delete_<?=$astrFormElements[$j]['name']?>_x" value="0">
        <a class="tinyactionlink" href="#" title="<?=$GLOBALS['locDELROW']?>" onclick="self.document.forms[0].delete_<?=$astrFormElements[$j]['name']?>_x.value=1; self.document.forms[0].submit(); return false;"> X </a>
        <!--
        <input type="image" name="delete_<?=$astrFormElements[$j]['name']?>" src="./<?=$GLOBALS['sesLANG']?>_images/x.gif"  title="<?=$GLOBALS['locDELROW']?>" alt="<?=$GLOBALS['locDELROW']?>" style="cursor:pointer;cursor:hand;">-->
    </td>
</tr>        
<?php
        
        if( $j > 0 && $j < count($astrFormElements) ) {
            
            $strOperator = htmlFormElement("operator_".$astrFormElements[$j]['name'], "LIST",                               gpcStripSlashes($strSelectedOperator),                               "tiny","SELECT 'AND' AS id, 'AND' AS name UNION SELECT 'OR' AS id, 'OR' AS name", "MODIFY", '');
?>
<tr>
    <td colspan="4" align="center">
        <?=$strOperator?>
    </td>
</tr>
<?
        }
    }
}

?>
</table>
<center>
<table>
<tr>
    <td>
        <input type="hidden" name="search_x" value="0">
        <a class="actionlink" href="#" onclick="self.document.forms[0].search_x.value=1; self.document.forms[0].submit(); return false;"><?=$GLOBALS['locSEARCH']?></a>
        <!--
        <input type="image" name="search"  src="./<?=$GLOBALS['sesLANG']?>_images/seek.gif"  alt="<?=$GLOBALS['locSEARCH']?>" style="cursor:pointer;cursor:hand;">-->
    </td>
    <td>
        <input type="hidden" name="save_x" value="0">
        <a class="actionlink" href="#" onclick="self.document.forms[0].save_x.value=1; self.document.forms[0].submit(); return false;"><?=$GLOBALS['locSAVESEARCH']?></a>
        <!--
        <input type="image"  name="save"  src="./<?=$GLOBALS['sesLANG']?>_images/save.gif"  alt="<?=$GLOBALS['locSAVESEARCH']?>" style="cursor:pointer;cursor:hand;">-->
    </td>
    <td>
        <a class="actionlink" href="#" onclick="self.close(); return false;"><?=$GLOBALS['locCLOSE']?></a>
        <!--
        <img name="close_button"  src="./<?=$GLOBALS['sesLANG']?>_images/close.gif"  alt="<?=$GLOBALS['locCLOSE']?>" title="<?=$GLOBALS['locCLOSE']?>" onClick="self.close();" style="cursor:pointer;cursor:hand;">-->
    </td>
    <td>
        <a class="actionlink" href="#" onclick="openHelpWindow(event); return false;"><?=$GLOBALS['locHELP']?></a>
        <!--
        <img name="help" src="./<?=$GLOBALS['sesLANG']?>_images/detail_help.gif" alt="<?=$GLOBALS['locHELP']?>" title="<?=$GLOBALS['locHELP']?>" onClick="openHelpWindow(event);" style="cursor:pointer;cursor:hand;">-->
    </td>
</tr>
</table>
</center>
</form>
</body>
</html>
