<?php
/*******************************************************************************
PkLasku : web-based invoicing software.
Copyright (C) 2004-2006 Samu Reinikainen

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details. (gpl.txt included)

You should have received a copy of the GNU General Public License
along with this program; if not, write to the 
Free Software Foundation, Inc., 
59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Contact us :
Samu Reinikainen
Kultalakintie 2 A 1
FIN-40640 JYVSKYL
phone: +358 46 810 4040
email: samu.reinikainen@gmail.com
*******************************************************************************/

/*******************************************************************************
PkLasku : web-pohjainen laskutusohjelmisto.
Copyright (C) 2004-2006 Samu Reinikainen

T&auml;m&auml; ohjelma on vapaa; t&auml;t&auml; ohjelmaa on sallittu levitt&auml;&auml; edelleen ja muuttaa GNU yleisen lisenssin (GPL lisenssin) ehtojen mukaan sellaisina kuin Free Software Foundation on ne julkaissut; joko Lisenssin version 2, tai (valinnan mukaan) mink&auml; tahansa my&ouml;hemm&auml;n version mukaisesti.

T&auml;t&auml; ohjelmaa levitet&auml;&auml;n siin&auml; toivossa, ett&auml; se olisi hy&ouml;dyllinen, mutta ilman mit&auml;&auml;n takuuta; ilman edes hiljaista takuuta kaupallisesti hyv&auml;ksytt&auml;v&auml;st&auml; laadusta tai soveltuvuudesta tiettyyn tarkoitukseen. Katso GPL lisenssist&auml; lis&auml;&auml; yksityiskohtia. (ohjelman mukana tullut gpl.txt)

T&auml;m&auml;n ohjelman mukana pit&auml;isi tulla kopio GPL lisenssist&auml;; jos n&auml;in ei ole, kirjoita osoitteeseen: 
Free Software Foundation Inc., 
59 Temple Place Suite 330, Boston, MA 02111-1307, USA.

Yhteystiedot :
Samu Reinikainen
Kultalakintie 2 A 1
FIN-40640 JYVSKYL
phone: +358 46 810 4040
email: samu.reinikainen@gmail.com
*******************************************************************************/

require "sqlfuncs.php";
require "miscfuncs.php";
require "htmlfuncs.php";
require "sessionfuncs.php";

require "localize.php";

//phpinfo();

$strLogin = $_POST['flogin'] ? $_POST['flogin'] : FALSE;
$strPasswd = $_POST['fpasswd'] ? $_POST['fpasswd'] : FALSE;
$strMode = $_POST['mode'] ? $_POST['mode'] : "normal";
$blnSubmit = (int)$_POST['logon_x'] || (int)$_POST['logon_alt'] ? TRUE : FALSE;

if( $blnSubmit ) {
    if( $strLogin && $strPasswd ) {
        if ( sesValidateUser( $strLogin, $strPasswd ) ) {
            if( $strSesID = sesCreateSession() ) {
                $strFrset = "frset.php";
                
                header("Location: ". _PROTOCOL_ . $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) . "/". $strFrset. "?ses=".$strSesID);
                exit;
            }
            else {
                $strMessage = 
                    "<p>Hmmm, t&auml;m&auml;p&auml; mielenkiintoista. Kertoisitko meillekin mit&auml; teit...<p>\n";
            }
        }
        else {
            $strMessage = 
                "<p>Valitettavasti emme voi laskea sinua sis&auml;&auml;n systeemiin.<p>\n";
        }
        }
    else {
        $strMessage = 
            "<p>Ole hyv&auml; ja sy&ouml;t&auml; kaikki tiedot.<p>\n".
            "<p>Please enter all fields.<p>\n";
    }
}
echo htmlPageStart( _PAGE_TITLE_ );

?>

<body class="form" onload="<?=$strOnLoad?>" style="margin: 30px;">

<?php
if( !$strMessage ) {
?>

<h1>Tervetuloa</h1>
<p>
Ole hyv&auml; ja sy&ouml;t&auml; tunnuksesi ja salasanasi ja kirjaudu klikkaamalla "KIRJAUDU"-painiketta.
</p>

<form action="login.php" method="post" name="login_form">
Tunnus  :&nbsp; <input class="medium" name="flogin" type="text" value=""><br><br>
Salasana : <input class="medium" name="fpasswd" type="password" value=""><br><br>

<input type="hidden" name="logon_alt" value="1">
<input type="hidden" name="logon_x" value="0">
        <a class="actionlink" href="#" onclick="self.document.forms[0].logon_x.value=1; self.document.forms[0].submit(); return false;">KIRJAUDU</a>
</form>
<?php
}

else {
    echo $strMessage;
}
?>

<br/><br/>
<?php echo $GLOBALS['locLICENSENOTIFY']?>
<br/><br/>
<?php echo $GLOBALS['locCREDITS']?>
<br/><br/>

</body>
</html>
