<?php
/*******************************************************************************
PkLasku : web-based invoicing software.
Copyright (C) 2004-2006 Samu Reinikainen

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details. (gpl.txt included)

You should have received a copy of the GNU General Public License
along with this program; if not, write to the 
Free Software Foundation, Inc., 
59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Contact us :
Samu Reinikainen
Kultalakintie 2 A 1
FIN-40640 JYVSKYL
phone: +358 46 810 4040
email: samu.reinikainen@gmail.com
*******************************************************************************/

/*******************************************************************************
PkLasku : web-pohjainen laskutusohjelmisto.
Copyright (C) 2004-2006 Samu Reinikainen

T&auml;m&auml; ohjelma on vapaa; t&auml;t&auml; ohjelmaa on sallittu levitt&auml;&auml; edelleen ja muuttaa GNU yleisen lisenssin (GPL lisenssin) ehtojen mukaan sellaisina kuin Free Software Foundation on ne julkaissut; joko Lisenssin version 2, tai (valinnan mukaan) mink&auml; tahansa my&ouml;hemm&auml;n version mukaisesti.

T&auml;t&auml; ohjelmaa levitet&auml;&auml;n siin&auml; toivossa, ett&auml; se olisi hy&ouml;dyllinen, mutta ilman mit&auml;&auml;n takuuta; ilman edes hiljaista takuuta kaupallisesti hyv&auml;ksytt&auml;v&auml;st&auml; laadusta tai soveltuvuudesta tiettyyn tarkoitukseen. Katso GPL lisenssist&auml; lis&auml;&auml; yksityiskohtia. (ohjelman mukana tullut gpl.txt)

T&auml;m&auml;n ohjelman mukana pit&auml;isi tulla kopio GPL lisenssist&auml;; jos n&auml;in ei ole, kirjoita osoitteeseen: 
Free Software Foundation Inc., 
59 Temple Place Suite 330, Boston, MA 02111-1307, USA.

Yhteystiedot :
Samu Reinikainen
Kultalakintie 2 A 1
FIN-40640 JYVSKYL
phone: +358 46 810 4040
email: samu.reinikainen@gmail.com
*******************************************************************************/

/********************************************************************
Includefile : miscfuncs.php
    Miscallenous functions

Includes files: -none-

Todo : 
    sort functions, move funcs to appropriate files.
    Check function todo's
********************************************************************/    

function gpcAddSlashes( $strString ) {
   if ( !get_magic_quotes_gpc() )
       $strString = addslashes($strString);
   return $strString;
}

function gpcStripSlashes($strString) {
   if ( get_magic_quotes_gpc() )
       $strString = stripslashes($strString);
   return $strString;
}

function miscRound2Decim( $intValue, $intDecim = 2 ) {
    //$tmpValue = MyRound( $intValue, strlen($intValue) ,2);
    //$tmpValue = !strstr($tmpValue, ".") ? $tmpValue . ".00" : $tmpValue;
    //$tmpValue = str_replace(".", ",", $tmpValue);
    $tmpValue = number_format($intValue, $intDecim, ',', '');
    return $tmpValue;
}

function miscCalcCheckNo( $intValue ) {
    $astrWeight = array(
        '1','3','7','1','3','7','1','3','7','1','3','7','1','3','7',
        '1','3','7','1','3','7','1','3','7','1','3','7','1','3','7','1','3','7',
        '1','3','7','1','3','7','1','3','7','1','3','7','1','3','7','1','3','7',
        '1','3','7','1','3','7',
        '1','3','7','1','3','7','1','3','7','1','3','7','1','3','7',
        '1','3','7','1','3','7','1','3','7','1','3','7','1','3','7','1','3','7',
        '1','3','7','1','3','7','1','3','7','1','3','7','1','3','7','1','3','7',
        '1','3','7','1','3','7');
    $astrTmp = array_reverse(explode(".",substr(chunk_split($intValue, 1, '.'), 0, -1)));

    foreach ($astrTmp as $value) {
        $intSum += $value * array_pop($astrWeight);
    }
    $intCheckNo = ceil($intSum/10)*10 - $intSum;
    
    //echo "value : $intValue -- sum : $intSum -- check : $intCheckNo";
    
    return $intCheckNo;
}
?>
