<?php
/*******************************************************************************
PkLasku : web-based invoicing software.
Copyright (C) 2004-2006 Samu Reinikainen

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details. (gpl.txt included)

You should have received a copy of the GNU General Public License
along with this program; if not, write to the 
Free Software Foundation, Inc., 
59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Contact us :
Samu Reinikainen
Kultalakintie 2 A 1
FIN-40640 JYVSKYL
phone: +358 46 810 4040
email: samu.reinikainen@gmail.com
*******************************************************************************/

/*******************************************************************************
PkLasku : web-pohjainen laskutusohjelmisto.
Copyright (C) 2004-2006 Samu Reinikainen

T&auml;m&auml; ohjelma on vapaa; t&auml;t&auml; ohjelmaa on sallittu levitt&auml;&auml; edelleen ja muuttaa GNU yleisen lisenssin (GPL lisenssin) ehtojen mukaan sellaisina kuin Free Software Foundation on ne julkaissut; joko Lisenssin version 2, tai (valinnan mukaan) mink&auml; tahansa my&ouml;hemm&auml;n version mukaisesti.

T&auml;t&auml; ohjelmaa levitet&auml;&auml;n siin&auml; toivossa, ett&auml; se olisi hy&ouml;dyllinen, mutta ilman mit&auml;&auml;n takuuta; ilman edes hiljaista takuuta kaupallisesti hyv&auml;ksytt&auml;v&auml;st&auml; laadusta tai soveltuvuudesta tiettyyn tarkoitukseen. Katso GPL lisenssist&auml; lis&auml;&auml; yksityiskohtia. (ohjelman mukana tullut gpl.txt)

T&auml;m&auml;n ohjelman mukana pit&auml;isi tulla kopio GPL lisenssist&auml;; jos n&auml;in ei ole, kirjoita osoitteeseen: 
Free Software Foundation Inc., 
59 Temple Place Suite 330, Boston, MA 02111-1307, USA.

Yhteystiedot :
Samu Reinikainen
Kultalakintie 2 A 1
FIN-40640 JYVSKYL
phone: +358 46 810 4040
email: samu.reinikainen@gmail.com
*******************************************************************************/

require "htmlfuncs.php";
require "sqlfuncs.php";
require "sessionfuncs.php";
require "miscfuncs.php";
require "datefuncs.php";

$strSesID = $_REQUEST['ses'] ? $_REQUEST['ses'] : FALSE;

if( $strSesID ) {
    if( !sesCheckSession( $strSesID ) ) {
        die;
    }
}

$GLOBALS['sesLANG'] = $GLOBALS['sesLANG'] ? $GLOBALS['sesLANG'] : 'fi';

require "localize.php";

setlocale(LC_TIME, "fi_FI");
$strField = $_REQUEST['datefield'] ? $_REQUEST['datefield'] : $_POST['datefield'];
$blnDoSubmit = $_REQUEST['dosubmit'] ? $_REQUEST['dosubmit'] : $_POST['dosubmit'];
$blnPrevious = (int)$_POST['prev'] ? TRUE : FALSE;
$blnNext = (int)$_POST['forw'] ? TRUE : FALSE;
$strDate = $_REQUEST['date'] ? $_REQUEST['date'] : date("d.m.Y");
$tmpValues = explode(".", $strDate);
//$intDate =  $tmpValues[2]. $tmpValues[1]. $tmpValues[0];

$intDate = $_REQUEST['dd'] ? (int)$_REQUEST['dd'] : (int)$tmpValues[0];
$intMonth = $_REQUEST['mm'] ? (int)$_REQUEST['mm'] : (int)$tmpValues[1];
$intMonth = $_POST['mm'] ? (int)$_POST['mm'] : $intMonth;
$intYear =  $_REQUEST['yy'] ? (int)$_REQUEST['yy'] : (int)$tmpValues[2];
$intYear = $_POST['yy'] ? (int)$_POST['yy'] : $intYear;

$intCurrentYear = date("Y");
$intCurrentMonth = date("m");
$intCurrentDate = date("d");

if( $blnPrevious ) {
    if( $intMonth == 1 ) {
        $intYear--;
        $intMonth = 12;
    }
    else {
        $intMonth--;
    }
}
if( $blnNext ) {
    if( $intMonth == 12 ) {
        $intYear++;
        $intMonth = 1;
    }
    else {
        $intMonth++;
    }
}

if( dateIsLeapYear( $intYear ) ) {
    $aintDaysPerMonth = array (0,31,29,31,30,31,30,31,31,30,31,30,31);
}
else {
    $aintDaysPerMonth = array (0,31,28,31,30,31,30,31,31,30,31,30,31);
}

$intDaysInMonth = $aintDaysPerMonth[$intMonth];

$intDayofWeek = dateGetWeekDayNumber( $intYear, $intMonth, 1 );

//$intDayofWeek = strftime("%u", mktime(0, 0, 0, $intMonth, 1, $intYear));

for( $i = 0; $i <= 80; $i++) {
    $astrYearListValues[$i] = ($intCurrentYear+10)-$i;
    $astrYearListOptions[$i] = ($intCurrentYear+10)-$i;
}
$strYearListBox = htmlListBox( "yy", $astrYearListValues, $astrYearListOptions, $intYear, "", TRUE, FALSE );

for( $i = 0; $i < 12; $i++) {
    $astrMonthListValues[$i] = $i+1;
    $astrMonthListOptions[$i] = $GLOBALS['locMONTHS'][$i];
}
$strMonthListBox = htmlListBox( "mm", $astrMonthListValues, $astrMonthListOptions, $intMonth, "", TRUE, FALSE );

echo htmlPageStart( _PAGE_TITLE_ );
?>
<script type="text/javascript">
<!--
function SetDate(strdate) {
    //alert(opener.document.forms[0].<?=$strField?>.value);
    opener.document.forms[0].<?=$strField?>.value = strdate;
    //alert()
    if( self.document.forms[0].dosubmit.value == 1 ) {
        opener.document.forms[0].submit();
    }
    self.close();
    return false;
}
-->
</script>
<body class="form" onload="<?=$strOnLoad?>">
<form method="post" action="calendar.php?ses=<?=$GLOBALS['sesID']?>" target="_self" name="cal_form">
<input type="hidden" name="datefield" value="<?=$strField?>">
<input type="hidden" name="dosubmit" value="<?=$blnDoSubmit?>">
<center>
<table>
<tr>
    <td>
        <input type="hidden" name="prev" value="0">
        <a class="tinyactionlink" href="#" onclick="self.document.forms[0].prev.value=1; self.document.forms[0].submit(); return false;"> < </a>
    </td>
    <td>
    <?=$strMonthListBox?>
    </td>
    <td>
    <?=$strYearListBox?>
    </td>
    <td>
        <input type="hidden" name="forw" value="0">
        <a class="tinyactionlink" href="#" onclick="self.document.forms[0].forw.value=1; self.document.forms[0].submit(); return false;"> > </a>
    </td>
</tr>
</table>
<table border="1">
<tr>
<?php
if( $blnShowWeekNo ) {
?>
<td class="calweekday">
        &nbsp;
    </td>
<?
}
//show short daynames
for( $i = 0; $i < 7; $i++ ) {
?>
    <td class="calweekday">
        <?=$GLOBALS['locWEEKDAYSSHORT'][$i]?>
    </td>
<?php
}
?>
</tr>

<tr>
<?php
$blnStartWeek = TRUE;
$blnStartMonth = TRUE;
for( $i = 1; $i <= $intDaysInMonth; $i++ ) {
    $tmpDate = $i. ".". $intMonth. ".". $intYear;
    if( $blnStartWeek ) {
        $blnStartWeek = FALSE;
        $strWeekNo = date("W", mktime(0, 0, 0, $intMonth, $i, $intYear));
        if( $blnShowWeekNo ) {
?>
    <td class="calweekday">
        <?=$strWeekNo?>
    </td>
<?php
        }
    }
    //print "empty" days
    if ( $blnStartMonth ) {
        $blnStartMonth = FALSE;
        $x = $intDayofWeek;
        for( $j = 1; $j < $intDayofWeek; $j++ ) {
?>
    <td class="calemptyday">
        &nbsp;
    </td>
<?php
        }
    }
    if( $i == $intCurrentDate ) {
        $strClass = "calcurrentdate";
    }
    else {
        $strClass = "caldate";
    }
?>
    <td class="<?=$strClass?>">
        <a href="calendar.php" class="callink" title="<?=$tmpDate?>" onClick="SetDate('<?=$tmpDate?>'); return false;"><?=$i?></a>
    </td>
<?php
    if( $x == 7 ) {
        $blnStartWeek = TRUE;
        $x = 1;
        echo "</tr>\n<tr>\n";
    }
    else {
        $x++;
    }
    
}
$x = $x == 1 ? 8 : $x;
$intEmptyDaysLeft = 8 - $x;
for( $j = 0; $j < $intEmptyDaysLeft; $j++ ) {
?>
    <td class="calemptyday">
        &nbsp;
    </td>
<?php
}
?>
</tr>
<?php

?>
</table>
<a class="actionlink" href="#" onclick="self.close(); return false;"><?=$GLOBALS['locCLOSE']?></a>
</center>
</form>
</body>
</html>
