<?php
/*******************************************************************************
PkLasku : web-based invoicing software.
Copyright (C) 2004-2006 Samu Reinikainen

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details. (gpl.txt included)

You should have received a copy of the GNU General Public License
along with this program; if not, write to the 
Free Software Foundation, Inc., 
59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Contact us :
Samu Reinikainen
Kultalakintie 2 A 1
FIN-40640 JYVSKYL
phone: +358 46 810 4040
email: samu.reinikainen@gmail.com
*******************************************************************************/

/*******************************************************************************
PkLasku : web-pohjainen laskutusohjelmisto.
Copyright (C) 2004-2006 Samu Reinikainen

T&auml;m&auml; ohjelma on vapaa; t&auml;t&auml; ohjelmaa on sallittu levitt&auml;&auml; edelleen ja muuttaa GNU yleisen lisenssin (GPL lisenssin) ehtojen mukaan sellaisina kuin Free Software Foundation on ne julkaissut; joko Lisenssin version 2, tai (valinnan mukaan) mink&auml; tahansa my&ouml;hemm&auml;n version mukaisesti.

T&auml;t&auml; ohjelmaa levitet&auml;&auml;n siin&auml; toivossa, ett&auml; se olisi hy&ouml;dyllinen, mutta ilman mit&auml;&auml;n takuuta; ilman edes hiljaista takuuta kaupallisesti hyv&auml;ksytt&auml;v&auml;st&auml; laadusta tai soveltuvuudesta tiettyyn tarkoitukseen. Katso GPL lisenssist&auml; lis&auml;&auml; yksityiskohtia. (ohjelman mukana tullut gpl.txt)

T&auml;m&auml;n ohjelman mukana pit&auml;isi tulla kopio GPL lisenssist&auml;; jos n&auml;in ei ole, kirjoita osoitteeseen: 
Free Software Foundation Inc., 
59 Temple Place Suite 330, Boston, MA 02111-1307, USA.

Yhteystiedot :
Samu Reinikainen
Kultalakintie 2 A 1
FIN-40640 JYVSKYL
phone: +358 46 810 4040
email: samu.reinikainen@gmail.com
*******************************************************************************/

require "htmlfuncs.php";
require "sqlfuncs.php";
require "sessionfuncs.php";

$strSesID = $_REQUEST['ses'] ? $_REQUEST['ses'] : FALSE;
$strTopic = $_REQUEST['topic'] ? $_REQUEST['topic'] : FALSE;

if( !sesCheckSession( $strSesID ) ) {
    die;
}

switch ( $strTopic ) {
    case 'main':
        $strHeadTitle = "Ohjeet";
        $strTopicText =
            "Ohjelma koostuu ylvalikosta, jossa on ohjelman posien painikkeet, toimintovalikosta, jossa nytetn valitun osion toiminnot ja toimintoikkunoista, joissa suoritetaan valitun toiminnon ksittely.<br>(Esim. 'HAKU'-painikkeesta avataan hakunkym toimintovalikkoon, josta 'ETSI'-painikkeella avataan tulokset toimintoikkunaan.)<br><br>Kysymysmerkkipainikkeella avautuu tarkemmat ohjeet kyseiseen nkymn tai toimintoon.";
    break;
    case 'search':
        $strHeadTitle = "Haku";
        $strTopicText =
            "Valitse tietue, josta haluat haun suorittaa.(esim 'Asiakkaat')<br><br>Syt tyhjn kenttn hakusana(t), joilla tietoa haetaan.(esim sukunimi tms.)<br>Voit jtt kentn tyhjksi tai kytt '*'-merkki, jolloin kaikki valitun tietueen tiedot haetaan.<br><br>Haku suoritetaan 'ETSI'-painikkeesta.<br><br>'TARKKA HAKU'-painikkeella avautuu ikkuna, jolla voi tehd tarkkoja hakuja laajoilla hakuehdoilla.(valitse ensin tietue, josta haluat haun tehd)<br><br>'PIKAHAKU'-painikkeella avataan ikkuna, jossa on tallenetut pikahaut.(pikahaut tallenetaan tarkan haun kautta)";
    break;
    case 'navi':
        $strHeadTitle = "Toimintovalikko";
        $strTopicText =
            "Valitse toiminto painamalla sen nime.";
    break;
    case 'list':
        $strHeadTitle = "Hakutulokset";
        $strTopicText =
            "Listan toiminnot ovat seuraavat (ylhlt lukien) :<br><br>1. Otsikko nytt tietueen, johon haku tehtiin<br><br>2. Numerot kertovat lytyneiden tietojen mrn.<br>Kun tietoja on paljon, nytetn ne osittain.<br> Nuolilla siirrytn tulosjoukosta toiseen.<br><br>3. Lytyneet tiedot listataan allekkain ja nime klikkaamalla avataan tietojen ksittelyyn tarkoitettu lomake.<br><br>4. 'UUSI'-painikkeella voit luoda uuden tietueen. (Esim. uuden asiakkaan tiedot)";
    break;
    case 'form':
        $strHeadTitle = "Lomake";
        $strTopicText =
            "Lomake koostuu seuraavista osista (ylhlt lukien) :<br><br>1. Lomakkeella on vaihteleva mr syttkentti otsikoineen, joihin tiedot listn tai joiden tietoja muokataan.<br><br>2. 'TEE'-painikkeella suoritetaan monimutkaisempia toimintoja.<br> <br><br>3. Tiedot tallennetaan 'TALLETA'-painikkeella.<br>Muista aina tallentaa tekemsi muutokset ennenkuin vaihdat ohjelman osiota. Tiedot tallentuvat vain painiketta painamalla.<br><br>4. 'UUSI'-painikkeella voit luoda uuden tietueen. (Esim. uuden asiakkaan tiedot)<br><br>5. 'POISTA'-painikkeella hvitetn lomakkeen tiedot. Tiedot poistuvat lopullisesti.<br>KYT HARKITEN!";
    break;
    case 'extsearch':
        $strHeadTitle = "Tarkka haku";
        $strTopicText =
            "Valitse listasta kentt, joista haluat haun suorittaa.(esim 'Sukunimi')<br><br>Valitse listasta tapa, jolla haku suoritetaan. Esim. 'on yht kuin' hakee hakusanaasi vastaavat tiedot ja 'on eri kuin'-valinta hakee tiedot joista ei lydy hakusanaa<br><br>Syt tyhjn kenttn hakusana(t) tai valitse ehto listasta, joilla tietoa haetaan.(esim sukunimi tms.)<br><br>Haku suoritetaan 'ETSI'-painikkeesta.<br><br>Voit tallentaa hakuehdot myhemmin nopeasti kytettvksi pikahauksi 'TALLENNA HAKU'-painikkeella.(muista antaa pikahaulle kuvavaa nimi)";
    break;
    case 'quicksearch':
        $strHeadTitle = "Pikahaku";
        $strTopicText =
            "Suorita pikahaku klikkaamalla haluamasi haun nime<br><br>Voit poistaa turhat pikahaut painamalla nimen vieress olevaa 'X'-painiketta<br><br>Pikahakuja voit tallentaa tarkan haun kautta.";
    break;
    default :
        $strHeadTitle = "Aiheeseen liittyvi ohjeita ei lytynyt!";
    break;
}


echo htmlPageStart( _PAGE_TITLE_ );

echo "<center><h1>".$strHeadTitle."</h1></center>";

echo "<p>".$strTopicText."</p>";

?>
<center>
<a class="actionlink" href="#" onclick="self.close(); return false;">SULJE</a>
</center>
</body>
</html>
