<?php
/*******************************************************************************
PkLasku : web-based invoicing software.
Copyright (C) 2004-2006 Samu Reinikainen

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details. (gpl.txt included)

You should have received a copy of the GNU General Public License
along with this program; if not, write to the 
Free Software Foundation, Inc., 
59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Contact us :
Samu Reinikainen
Kultalakintie 2 A 1
FIN-40640 JYVSKYL
phone: +358 46 810 4040
email: samu.reinikainen@gmail.com
*******************************************************************************/

/*******************************************************************************
PkLasku : web-pohjainen laskutusohjelmisto.
Copyright (C) 2004-2006 Samu Reinikainen

T&auml;m&auml; ohjelma on vapaa; t&auml;t&auml; ohjelmaa on sallittu levitt&auml;&auml; edelleen ja muuttaa GNU yleisen lisenssin (GPL lisenssin) ehtojen mukaan sellaisina kuin Free Software Foundation on ne julkaissut; joko Lisenssin version 2, tai (valinnan mukaan) mink&auml; tahansa my&ouml;hemm&auml;n version mukaisesti.

T&auml;t&auml; ohjelmaa levitet&auml;&auml;n siin&auml; toivossa, ett&auml; se olisi hy&ouml;dyllinen, mutta ilman mit&auml;&auml;n takuuta; ilman edes hiljaista takuuta kaupallisesti hyv&auml;ksytt&auml;v&auml;st&auml; laadusta tai soveltuvuudesta tiettyyn tarkoitukseen. Katso GPL lisenssist&auml; lis&auml;&auml; yksityiskohtia. (ohjelman mukana tullut gpl.txt)

T&auml;m&auml;n ohjelman mukana pit&auml;isi tulla kopio GPL lisenssist&auml;; jos n&auml;in ei ole, kirjoita osoitteeseen: 
Free Software Foundation Inc., 
59 Temple Place Suite 330, Boston, MA 02111-1307, USA.

Yhteystiedot :
Samu Reinikainen
Kultalakintie 2 A 1
FIN-40640 JYVSKYL
phone: +358 46 810 4040
email: samu.reinikainen@gmail.com
*******************************************************************************/

/***********************************************************************
 list_switch.php
 
 provides switches for different lists
 
***********************************************************************/

switch ( $strForm ) {

case 'company':
   $strTable = _DB_PREFIX_. "_company";
   $astrSearchFields = 
    array( 
        array("name" => "company_name", "type" => "TEXT"),
        array("name" => "company_id", "type" => "TEXT")
    );
   $astrHiddenSearchField = array("name" => "type_id", "type" => "INT");
   $strPrimaryKey = "id";
   $astrShowFields = 
    array( 
        array("name" => "company_name", "type" => "TEXT"),
        array("name" => "company_id", "type" => "TEXT")
    );
   $strMainForm = "form.php?ses=".$GLOBALS['sesID']."&selectform=company";
   $strTitle = $GLOBALS['locCOMPANIES'];
break;

case 'invoice':
   $strTable = _DB_PREFIX_. "_invoice";
   $astrSearchFields = 
    array(
        array("name" => "invoice_no", "type" => "TEXT"),
        array("name" => "ref_number", "type" => "TEXT"),
        array("name" => "name", "type" => "TEXT")
    );
   $strPrimaryKey = "id";
   $astrShowFields = 
    array( 
        array("name" => "invoice_date", "type" => "INTDATE", "order" => "DESC"),
        array("name" => "real_invoice_no", "type" => "INT", "order" => "DESC"),
        array("name" => "invoice_no", "type" => "TEXT")
    );
   $strMainForm = "form.php?ses=".$GLOBALS['sesID']."&selectform=invoice";
   $strTitle = $GLOBALS['locINVOICES'];
   
break;
/***********************************************************************
    END SEARCH LISTS - HAKU
***********************************************************************/

/***********************************************************************
    SYSTEM LISTS - JRJESTELM
***********************************************************************/
case 'base_info':
   $strTable = "". _DB_PREFIX_. "_base";
   $astrSearchFields = 
    array( 
        array("name" => "name", "type" => "TEXT")
    );
   $strPrimaryKey = "id";
   $astrShowFields = 
    array( 
        array("name" => "name", "type" => "TEXT")
    );
    //array('name');
   $strMainForm = "form.php?ses=".$GLOBALS['sesID']."&selectform=base_info";
   $strTitle = $GLOBALS['locBASEINFO'];
break;

case 'invoice_state':
   $strTable = "". _DB_PREFIX_. "_invoice_state";
   $astrSearchFields = 
    array( 
        array("name" => "name'", "type" => "TEXT")
    );
   $strPrimaryKey = "id";
   $astrShowFields = 
    array( 
        array("name" => "order_no", "type" => "TEXT"),
        array("name" => "name", "type" => "TEXT")
    );
    //array('order_no','name');
   $strMainForm = "form.php?ses=".$GLOBALS['sesID']."&selectform=invoice_state";
   $strTitle = $GLOBALS['locINVOICESTATES'];
break;
   
case 'row_type':
   $strTable = "". _DB_PREFIX_. "_row_type";
   $astrSearchFields = 
    array( 
        array("name" => "name", "type" => "TEXT")
    );
   $strPrimaryKey = "id";
   $astrShowFields = 
    array( 
        array("name" => "order_no", "type" => "TEXT"),
        array("name" => "name", "type" => "TEXT")
    );
    //array('order_no','name');
   $strMainForm = "form.php?ses=".$GLOBALS['sesID']."&selectform=row_type";
   $strTitle = $GLOBALS['locROWTYPES'];
break;

case 'company_type':
   $strTable = "". _DB_PREFIX_. "_company_type";
   $astrSearchFields = 
    array( 
        array("name" => "name", "type" => "TEXT")
    );
   $strPrimaryKey = "id";
   $astrShowFields = 
    array( 
        array("name" => "order_no", "type" => "TEXT"),
        array("name" => "name", "type" => "TEXT")
    );
    //array('order_no','name');
   $strMainForm = "form.php?ses=".$GLOBALS['sesID']."&selectform=company_type";
   $strTitle = $GLOBALS['locCOMPANYTYPES'];
break;
   
case 'session_type':
   $strTable = "". _DB_PREFIX_. "_session_type";
   $astrSearchFields = 
    array( 
        array("name" => "name", "type" => "TEXT")
    );
   $strPrimaryKey = "id";
   $astrShowFields = 
    array( 
        array("name" => "order_no", "type" => "TEXT"),
        array("name" => "name", "type" => "TEXT")
    );
    //array('order_no','name');
   $strMainForm = "form.php?ses=".$GLOBALS['sesID']."&selectform=session_type";
   $strTitle = $GLOBALS['locSESSIONTYPES'];
break;
   
case 'users':
   $strTable = "". _DB_PREFIX_. "_users";
   $astrSearchFields = 
    array( 
        array("name" => "name", "type" => "TEXT")
    );
   $strPrimaryKey = "id";
   $astrShowFields = 
    array( 
        array("name" => "name", "type" => "TEXT")
    );
    //array('name');
   $strMainForm = "form.php?ses=".$GLOBALS['sesID']."&selectform=users";
   $strTitle = $GLOBALS['locUSERS'];
break;

/***********************************************************************
    END SYSTEM LISTS - JRJESTELM
***********************************************************************/

default :
    echo "What would you like me to do?"; die;
    break;
}

?>
