<?php
/*******************************************************************************
PkLasku : web-based invoicing software.
Copyright (C) 2004-2006 Samu Reinikainen

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details. (gpl.txt included)

You should have received a copy of the GNU General Public License
along with this program; if not, write to the 
Free Software Foundation, Inc., 
59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Contact us :
Samu Reinikainen
Kultalakintie 2 A 1
FIN-40640 JYVSKYL
phone: +358 46 810 4040
email: samu.reinikainen@gmail.com
*******************************************************************************/

/*******************************************************************************
PkLasku : web-pohjainen laskutusohjelmisto.
Copyright (C) 2004-2006 Samu Reinikainen

T&auml;m&auml; ohjelma on vapaa; t&auml;t&auml; ohjelmaa on sallittu levitt&auml;&auml; edelleen ja muuttaa GNU yleisen lisenssin (GPL lisenssin) ehtojen mukaan sellaisina kuin Free Software Foundation on ne julkaissut; joko Lisenssin version 2, tai (valinnan mukaan) mink&auml; tahansa my&ouml;hemm&auml;n version mukaisesti.

T&auml;t&auml; ohjelmaa levitet&auml;&auml;n siin&auml; toivossa, ett&auml; se olisi hy&ouml;dyllinen, mutta ilman mit&auml;&auml;n takuuta; ilman edes hiljaista takuuta kaupallisesti hyv&auml;ksytt&auml;v&auml;st&auml; laadusta tai soveltuvuudesta tiettyyn tarkoitukseen. Katso GPL lisenssist&auml; lis&auml;&auml; yksityiskohtia. (ohjelman mukana tullut gpl.txt)

T&auml;m&auml;n ohjelman mukana pit&auml;isi tulla kopio GPL lisenssist&auml;; jos n&auml;in ei ole, kirjoita osoitteeseen: 
Free Software Foundation Inc., 
59 Temple Place Suite 330, Boston, MA 02111-1307, USA.

Yhteystiedot :
Samu Reinikainen
Kultalakintie 2 A 1
FIN-40640 JYVSKYL
phone: +358 46 810 4040
email: samu.reinikainen@gmail.com
*******************************************************************************/

require "htmlfuncs.php";
require "sqlfuncs.php";
require "sessionfuncs.php";
require "miscfuncs.php";
require "datefuncs.php";

$strSesID = $_REQUEST['ses'] ? $_REQUEST['ses'] : FALSE;

if( !sesCheckSession( $strSesID ) ) {
    die;
}
require "localize.php";

echo htmlPageStart( _PAGE_TITLE_ );

$strForm = $_POST['form'] ? $_POST['form'] : $_REQUEST['form'];
$intYear = $_POST['year'] ? $_POST['year'] : FALSE;
$intMonth = $_POST['month'] ? $_POST['month'] : "0";
$intStateID = $_POST['stateid'] ? $_POST['stateid'] : FALSE;
$intBaseId = $_POST['base'] ? $_POST['base'] : FALSE;

if( $intMonth == 0 ) {
    $intStartDate = "00";
    $intEndDate = "31";
    $intEndMonth = "12";
}
else {
    $intStartDate = "00";
    $intEndDate = date("t",mktime(0, 0, 0, $intMonth, 1, $intYear));
    $intEndMonth = $intMonth;
}
if( strlen($intMonth) == 1 ) {
    $intMonth = "0".$intMonth;
}
if( strlen($intEndMonth) == 1 ) {
    $intEndMonth = "0".$intEndMonth;
}
$intStart = $intYear. $intMonth. $intStartDate;
$intEnd = $intYear. $intEndMonth. $intEndDate;

$strQuery = 
    "SELECT ". _DB_PREFIX_. "_invoice.id, invoice_no, invoice_date, due_date, ref_number, ". _DB_PREFIX_. "_invoice.name AS invoice_name, reference, company_name AS name, billing_address ".
    "FROM ". _DB_PREFIX_. "_invoice ".
    "LEFT OUTER JOIN ". _DB_PREFIX_. "_company ON ". _DB_PREFIX_. "_company.id = ". _DB_PREFIX_. "_invoice.company_id ".
    "WHERE ". _DB_PREFIX_. "_invoice.invoice_date > ".$intStart." AND ".
    "". _DB_PREFIX_. "_invoice.invoice_date <= ".$intEnd;

$strQuery2 = "";
$strQuery3 = 
    "SELECT id, name ".
    "FROM ". _DB_PREFIX_. "_invoice_state ".
    "ORDER BY order_no";
$intRes = mysql_query($strQuery3);
$intNumRows = mysql_numrows($intRes);
for( $i = 0; $i < $intNumRows; $i++ ) {
    $intStateId = mysql_result($intRes, $i, "id");
    $strStateName = mysql_result($intRes, $i, "name");
    //echo $strMemberType ."<br>\n";
    //$strChecked = $intStateId == $intSelectedStateId ? 'checked' : '';
    $strTemp = "stateid_". $intStateId;
    $tmpSelected = $_POST[$strTemp] ? TRUE : FALSE;
    if( $tmpSelected ) {
        $strLabel = "";
        $strQuery2 .= 
            " ". _DB_PREFIX_. "_invoice.state_id = ". $intStateId. " OR ";
    }
}
if( $strQuery2 ) {
    $strQuery2 = " AND (". substr($strQuery2, 0, -3). ")";
}

if( $intBaseId ) {
    $strLabel = "";
    $strQuery .= 
        " AND ". _DB_PREFIX_. "_invoice.base_id = ". $intBaseId. " ";
}

/*
if( $intStateID ) {
    $strLabel = "";
    $strQuery .= 
        " AND ". _DB_PREFIX_. "_invoice.state_id = ". $intStateID. " ";
}
*/
$strQuery .= "$strQuery2 ORDER BY invoice_no";

$intRes = mysql_query($strQuery);
$intNumRows = mysql_numrows($intRes);
//echo $strQuery;
?>
<body class="form">
<table>
<tr>
    <td class="input" colspan="3">
        <h1><?=$strLabel?></h1>
    </td>
</tr>
<tr>
    <td class="label" align="center">
        <?=$GLOBALS['locINVNO']?>
    </td>
    <td class="label" align="center">
        <?=$GLOBALS['locINVDATE']?>
    </td>
    <td class="label" align="center">
        <?=$GLOBALS['locPAYER']?>
    </td>
    <td class="label" align="center">
        <?=$GLOBALS['locVATLESS']?>
    </td>
    <td class="label" align="center">
        <?=$GLOBALS['locVATPART']?>
    </td>
    <td class="label" align="center">
        <?=$GLOBALS['locWITHVAT']?>
    </td>
</tr>
<?php
if( $intNumRows ) {
    for( $j = 0; $j < $intNumRows; $j++ ) {

        $intInvoiceID = mysql_result($intRes, $j, "id");
        $strInvoiceName = mysql_result($intRes, $j, "invoice_name");
        $strInvoiceNo = mysql_result($intRes, $j, "invoice_no");
        $strRefNumber = mysql_result($intRes, $j, "ref_number");
        $strInvoiceDate = dateConvIntDate2Date(mysql_result($intRes, $j, "invoice_date"));
        $strDueDate = dateConvIntDate2Date(mysql_result($intRes, $j, "due_date"));
        $strName = mysql_result($intRes, $j, "name");
        if( !$strName ) {
            $strName = mysql_result($intRes, $j, "client_name");
        }
        $strRefNumber = chunk_split($strRefNumber, 5, ' ');
        $strQuery = 
            "SELECT description, pcs, price, row_date, vat, ". _DB_PREFIX_. "_row_type.name AS type ".
            "FROM ". _DB_PREFIX_. "_invoice_row ".
            "INNER JOIN ". _DB_PREFIX_. "_row_type ON ". _DB_PREFIX_. "_row_type.id = ". _DB_PREFIX_. "_invoice_row.type_id ".
            "WHERE ". _DB_PREFIX_. "_invoice_row.invoice_id = ". $intInvoiceID;
        $intRes2 = mysql_query($strQuery);
        if( $intRes2 ) {
            $intRowSum = 0;
            $intRowVAT = 0;
            $intRowSumVAT = 0;
            $intNRes2 = mysql_num_rows($intRes2);
            for( $i = 0; $i < $intNRes2; $i++ ) {
                $astrRowPrice = mysql_result($intRes2, $i, "price");
                $astrPieces = mysql_result($intRes2, $i, "pcs");
                $astrVAT = mysql_result($intRes2, $i, "vat");
                $astrRowType = mysql_result($intRes2, $i, "type");
                $intSum = $astrPieces * $astrRowPrice;
                $intVAT = $intSum * ($astrVAT / 100);
                $intSumVAT = $intSum + $intVAT;
                $intRowSum += $intSum;
                $intRowVAT += $intVAT;
                $intRowSumVAT += $intSumVAT;
                $intTotSum += $intSum;
                $intTotVAT += $intVAT;
                $intTotSumVAT += $intSumVAT;
            }
        }
?>
<tr>
    <td class="input">
        <?=$strInvoiceNo?>
    </td>
    <td class="input">
        <?=$strInvoiceDate?>
    </td>
    <td class="input">
        <?=$strName?>
    </td>
    <td class="input" align="right">
        <?=miscRound2Decim($intRowSum)?>
    </td>
    <td class="input" align="right">
        <?=miscRound2Decim($intRowVAT)?>
    </td>
    <td class="input" align="right">
        <?=miscRound2Decim($intRowSumVAT)?>
    </td>
</tr>
<?
    }
?>
<tr>
    <td class="input" colspan="3" align="right">
        <h3><?=$GLOBALS['locTOTAL']?></h3>
    </td>
    <td class="input" align="right">
        <h3><?=miscRound2Decim($intTotSum)?></h3>
    </td>
    <td class="input" align="right">
        <h3><?=miscRound2Decim($intTotVAT)?></h3>
    </td>
    <td class="input" align="right">
        <h3><?=miscRound2Decim($intTotSumVAT)?></h3>
    </td>
</tr>
<?
}


//print_r($astrSearchElements);
?>

</body>
</html>